commit:     4311654eac0d29a96521d51c8666ae7eebc6eac0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 29 05:21:24 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Oct 29 06:51:24 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4311654e

app-admin/awscli: Bump to 1.35.16

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-admin/awscli/Manifest              |  1 +
 app-admin/awscli/awscli-1.35.16.ebuild | 98 ++++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/app-admin/awscli/Manifest b/app-admin/awscli/Manifest
index 320b6fb41dcd..76cc8f0a08c1 100644
--- a/app-admin/awscli/Manifest
+++ b/app-admin/awscli/Manifest
@@ -1,3 +1,4 @@
 DIST aws-cli-1.35.10.gh.tar.gz 2811446 BLAKE2B 
3151e107099821ffa3978d4a0175bf96ab9f789bb122f941cf28cac5115d1e6b97272b73e56633910721cfae0684266b7d311886e6fb414330ff9e4791581b4c
 SHA512 
85be98b3e80e2af85acb0ac982cc85bad6789f6e051c95b7df5cc3eb313c677d6a66117a3418bc44f9c03ee6385b68b401839d4b9a609caa65fc59e8ddb55624
 DIST aws-cli-1.35.15.gh.tar.gz 2810766 BLAKE2B 
18a8464acede1801a533da89191c31309944123f092a08790d79f1a05d57be9540385e9acac75240c6595573685fbb3046ff3e85530881e25f54bc4213b944c6
 SHA512 
def601f10f9e4afe3b17b98bdeab58b3fe78b2171d5cc4bbe5892ae8fc348a1bb3467ef8051f6005091708df3c9e3bd85751cedf372f8730ee3197b6e833a652
+DIST aws-cli-1.35.16.gh.tar.gz 2811312 BLAKE2B 
0d3a243ecd9b1759fcecdb427693270136e6c00b6eeae592481eaf8a32bbf641659e096c7eb19fe550b05a1c2f4f79300191c3716c551bf0dd25a9bd41d6aeb6
 SHA512 
02caaac48ca08a97a3cd82a672fb2dcd4b66666a7b4de34c3420ee66c10c79aa10672603997f941a8c462c8094cc6c014aefbba5109f6cee75a546426ea00439
 DIST aws-cli-1.35.5.gh.tar.gz 2808789 BLAKE2B 
545c76bd349485fbf2dc5565317678904c99443e2e6dc2e12fa9de122327d8aa0e8b9579cec37afe2e949a0c31c48e0977e52d701ffc212182c692769c35a948
 SHA512 
2a9c86f1a63b657d3c95f8a65020ea7837ded9f5147ce31a535f59b9d9c1c91c3354a82286c25252da7d5b7c48c1898f594be0cb9e1ba54c6768133543fcba50

diff --git a/app-admin/awscli/awscli-1.35.16.ebuild 
b/app-admin/awscli/awscli-1.35.16.ebuild
new file mode 100644
index 000000000000..0fc6192a8587
--- /dev/null
+++ b/app-admin/awscli/awscli-1.35.16.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit bash-completion-r1 distutils-r1
+
+MY_P=aws-cli-${PV}
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="
+       https://github.com/aws/aws-cli/
+       https://pypi.org/project/awscli/
+"
+SRC_URI="
+       https://github.com/aws/aws-cli/archive/${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# botocore is x.y.(z+34)
+BOTOCORE_PV="$(ver_cut 1).$(ver_cut 2).$(( $(ver_cut 3-) + 34 ))"
+RDEPEND="
+       >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+       dev-python/colorama[${PYTHON_USEDEP}]
+       dev-python/docutils[${PYTHON_USEDEP}]
+       dev-python/rsa[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       !app-admin/awscli-bin
+"
+BDEPEND="
+       test? (
+               dev-python/packaging[${PYTHON_USEDEP}]
+               dev-python/pytest-forked[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+       # strip overzealous upper bounds on requirements
+       sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local serial_tests=(
+               
tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
+               
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
+               
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_with_new_version_plugin_success
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
+               
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
+               tests/unit/customizations/test_sessionmanager.py
+               tests/unit/test_compat.py::TestIgnoreUserSignals
+               tests/unit/test_help.py
+               
tests/unit/test_utils.py::TestIgnoreCtrlC::test_ctrl_c_is_ignored
+       )
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       EPYTEST_XDIST= epytest "${serial_tests[@]}"
+
+       local EPYTEST_DESELECT=( "${serial_tests[@]}" )
+       case ${EPYTHON} in
+               python3.13*)
+                       EPYTEST_DESELECT+=(
+                               # flaky (some ordering?)
+                               
tests/functional/s3/test_cp_command.py::TestCPCommand::test_multipart_upload_with_checksum_algorithm_crc32
+                       )
+                       ;;
+       esac
+       # integration tests require AWS credentials and Internet access
+       epytest tests/{functional,unit}
+}
+
+python_install_all() {
+       newbashcomp bin/aws_bash_completer aws
+
+       insinto /usr/share/zsh/site-functions
+       newins bin/aws_zsh_completer.sh _aws
+
+       distutils-r1_python_install_all
+
+       rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || 
die
+}

Reply via email to